Subject: [PATCH] xen/arm: allow console=hvc0 to be omitted for guests

From: [email-masked] (Ian Campbell)
Date: Thu, 12 Feb 2015 04:54:33 +0000

On Thu, 2015-02-12 at 04:35 +0000, Stefano Stabellini wrote:
> On Tue, 10 Feb 2015, Ian Campbell wrote:
> > On Tue, 2015-02-10 at 15:51 +0800, Ard Biesheuvel wrote:
> > > > FWIW on x86 this doesn't depend on console_set_on_cmdline, does it need
> > > > to here?
> > > >
> > > 
> > > I didn't check the code, but it seems inappropriate to add a preferred
> > > console implicitly if the user has set 'console=' on the command line.
> > 
> > I had been thinking that add_preferred_console would DTRT, but it seems
> > not. Seems strange that most calls to it do not check if the console is
> > already set, but it does seem like the right thing in this case.
> > 
> > > > On x86 it does depend on !xen_initial_domain. I suppose on the principal
> > > > that a VT is normally available there. I suppose that doesn't apply to
> > > > ARM so much, although it could.
> > > >
> > > 
> > > OK, I got confused by the xen_guest_init(). So do you mean if if
> > > (!xen_initial_domain) should be added?
> > 
> > (dom0 is "Just A Guest" too ;-))
> > 
> > Adding it would be consistent with x86, I'm not precisely sure if that
> > is important or desirable in this case. I'd be inclined to start with
> > the if there.
> 
> The reasoning is that dom0 command line arguments come from its old
> native grub stanza, therefore the console parameter is incorrect, right?
> As opposed to regular domUs, that being freshly installed, are supposed
> to have the correct console parameter?

Other way around I think, dom0 has the correct stuff from grub.cfg
whereas the guest may not.